<?xml version="1.0" encoding="UTF-8"?>
<genmodel:GenModel xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore"
    xmlns:genmodel="http://www.eclipse.org/emf/2002/GenModel" modelDirectory="/TP4/src-gen" editDirectory="/TP4.edit/src-gen"
    editorDirectory="/TP4.editor/src-gen" modelPluginID="TP4" modelName="SimplePDL"
    rootExtendsClass="org.eclipse.emf.ecore.impl.MinimalEObjectImpl$Container" testsDirectory="/TP4.tests/src-gen"
    importerID="org.eclipse.emf.importer.ecore" complianceLevel="8.0" copyrightFields="false"
    operationReflection="true" importOrganizing="true">
  <foreignModel>SimplePDL.ecore</foreignModel>
  <genPackages prefix="Simplepdl" disposableProviderFactory="true" ecorePackage="SimplePDL.ecore#/">
    <genEnums typeSafeEnumCompatible="false" ecoreEnum="SimplePDL.ecore#//WorkSequenceType">
      <genEnumLiterals ecoreEnumLiteral="SimplePDL.ecore#//WorkSequenceType/startToStart"/>
      <genEnumLiterals ecoreEnumLiteral="SimplePDL.ecore#//WorkSequenceType/finishToStart"/>
      <genEnumLiterals ecoreEnumLiteral="SimplePDL.ecore#//WorkSequenceType/startToFinish"/>
      <genEnumLiterals ecoreEnumLiteral="SimplePDL.ecore#//WorkSequenceType/finishToFinish"/>
    </genEnums>
    <genClasses ecoreClass="SimplePDL.ecore#//Process">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute SimplePDL.ecore#//Process/name"/>
      <genFeatures property="None" children="true" createChild="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//Process/processElement"/>
    </genClasses>
    <genClasses ecoreClass="SimplePDL.ecore#//WorkDefinition">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//WorkDefinition/linksToPredecessors"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//WorkDefinition/linksToSuccessors"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute SimplePDL.ecore#//WorkDefinition/name"/>
      <genFeatures children="true" createChild="true" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//WorkDefinition/allocationressource"/>
    </genClasses>
    <genClasses ecoreClass="SimplePDL.ecore#//WorkSequence">
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute SimplePDL.ecore#//WorkSequence/linkType"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//WorkSequence/predecessor"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//WorkSequence/successor"/>
    </genClasses>
    <genClasses image="false" ecoreClass="SimplePDL.ecore#//ProcessElement">
      <genFeatures property="Readonly" notify="false" createChild="false" ecoreFeature="ecore:EReference SimplePDL.ecore#//ProcessElement/process"/>
    </genClasses>
    <genClasses ecoreClass="SimplePDL.ecore#//Guidance">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//Guidance/elements"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute SimplePDL.ecore#//Guidance/text"/>
    </genClasses>
    <genClasses ecoreClass="SimplePDL.ecore#//Ressource">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//Ressource/predecessors"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute SimplePDL.ecore#//Ressource/name"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute SimplePDL.ecore#//Ressource/instance"/>
    </genClasses>
    <genClasses ecoreClass="SimplePDL.ecore#//AllocationRessource">
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//AllocationRessource/ressource"/>
      <genFeatures createChild="false" ecoreFeature="ecore:EAttribute SimplePDL.ecore#//AllocationRessource/numAllocated"/>
      <genFeatures notify="false" createChild="false" propertySortChoices="true" ecoreFeature="ecore:EReference SimplePDL.ecore#//AllocationRessource/workdefinition"/>
    </genClasses>
  </genPackages>
</genmodel:GenModel>
